package com.securitycontrol.auth.pojo;

import java.io.Serializable;

/**
 * 用户登陆信息
 *
 * @author yz
 */
public class LoginUser implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -3081180319727277455L;

    /**
     * 用户id 对应目录属性iscUserId(序列生成)
     */
    private String userId;

    /**
     * 用户名
     */
    private String account;

    /**
     * 用户姓名 对应目录属性FULL Name
     */
    private String name;

    /**
     * 门户帐号
     */
    private String nameCode;

    /**
     * 网省编码,如sgcc
     */
    private String provinceId;

    /**
     * 人资ID
     */
    private String saphrId;

    /**
     * 基准组织单元id 对应目录属性iscUserOrgId，所属部门编码 网省为18位编码
     */
    /**
     * 基准组织单元id 对应目录属性iscUserOrgId，所属部门编码 网省为18位编码
     */
    private String baseOrgId;

    /**
     * 基准组织单元名称
     */
    private String baseOrgName;

    /**
     * 登录时间
     */
    private long loginTime;

    /**
     * 基准组织ID路径
     */
    private String baseOrgIdPath;

    /**
     * 用户所属单位名称
     */
    private String unitName;

    /**
     * 用户所属单位ID
     */
    private String unitId;

    /**
     * 基准组织名称路径
     */
    private String baseOrgNamePath;

    /**
     * 用户状态
     */
    private String state;

    /**
     * 有效开始日期
     */
    private String startUsefulLife;

    /**
     * 有效解释日期
     */
    private String endUsefulLife;

    /**
     * 排序号
     */
    private Integer dispOrder;

    /**
     * 用户类型 0：非员工长期账号 1：员工长期账号 2：临时账号 3：公用账号
     */
    private String userType;

    /**
     * 用户在通讯录是否展现
     */
    private String showContact;

    /**
     * 用户是否可以使用通讯录
     */
    private String useContact;

    /**
     * 是否是领导
     */
    private String postLevel;

    /**
     * 用户所属部门ID
     */
    private String deptId;

    /**
     * 用户兼任岗位所在的组织id
     */
    private String postBaseorgId;

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public Integer getDispOrder() {
        return dispOrder;
    }

    public void setDispOrder(Integer dispOrder) {
        this.dispOrder = dispOrder;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNameCode() {
        return nameCode;
    }

    public void setNameCode(String nameCode) {
        this.nameCode = nameCode;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getSaphrId() {
        return saphrId;
    }

    public void setSaphrId(String saphrId) {
        this.saphrId = saphrId;
    }

    public String getBaseOrgId() {
        return baseOrgId;
    }

    public void setBaseOrgId(String baseOrgId) {
        this.baseOrgId = baseOrgId;
    }

    public String getBaseOrgName() {
        return baseOrgName;
    }

    public void setBaseOrgName(String baseOrgName) {
        this.baseOrgName = baseOrgName;
    }

    public long getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(long loginTime) {
        this.loginTime = loginTime;
    }

    public String getBaseOrgIdPath() {
        return baseOrgIdPath;
    }

    public void setBaseOrgIdPath(String baseOrgIdPath) {
        this.baseOrgIdPath = baseOrgIdPath;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getBaseOrgNamePath() {
        return baseOrgNamePath;
    }

    public void setBaseOrgNamePath(String baseOrgNamePath) {
        this.baseOrgNamePath = baseOrgNamePath;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getStartUsefulLife() {
        return startUsefulLife;
    }

    public void setStartUsefulLife(String startUsefulLife) {
        this.startUsefulLife = startUsefulLife;
    }

    public String getEndUsefulLife() {
        return endUsefulLife;
    }

    public void setEndUsefulLife(String endUsefulLife) {
        this.endUsefulLife = endUsefulLife;
    }

    public String getShowContact() {
        return showContact;
    }

    public void setShowContact(String showContact) {
        this.showContact = showContact;
    }

    public String getUseContact() {
        return useContact;
    }

    public void setUseContact(String useContact) {
        this.useContact = useContact;
    }

    public String getPostLevel() {
        return postLevel;
    }

    public void setPostLevel(String postLevel) {
        this.postLevel = postLevel;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getPostBaseorgId() {
        return postBaseorgId;
    }

    public void setPostBaseorgId(String postBaseorgId) {
        this.postBaseorgId = postBaseorgId;
    }


}
